add title attribute to rank and value selection menue item
Closed, ResolvedPublic

Description

The entries in the pop-up menus for rank and value should have title attributes (or some other tooltip-mechanism) to show some additional information about the use of these elements.


Wording suggestion

  • valid and up-to-date value
  • valid value, though possibly historic
  • value is known to be wrong but (used to be) commonly believed
Jan_Dittrich updated the task description. (Show Details)Jul 5 2016, 3:16 PM
Jan_Dittrich renamed this task from add title attribute to rank and value indicators to add title attribute to rank and value selection menue item.Jul 7 2016, 7:14 AM
Jan_Dittrich moved this task from Incoming to Review on the WMDE-Design board.Jul 7 2016, 11:40 AM
Restricted Application added a project: Design. · View Herald TranscriptSep 5 2016, 1:14 PM
thiemowmde triaged this task as Low priority.Sep 5 2016, 2:47 PM
thiemowmde added a subscriber: thiemowmde.

I would not expect tooltips on menu items, especially not tooltips that are crucial to understand a menu item. I suggest to make the visible text better instead, similar to T139578.

If we can improve the text, I'm much in favor of it. However, I wonder if we can find anything short, precise and (better) understandable.

I suppose adding a tooltip is an improvement. And it would not mean that we should stop improving the menu items themselves.

Yeah let's add the tooltips. They're not the perfect solution but better than the current state.

Lydia_Pintscher raised the priority of this task from Low to Normal.Sep 9 2016, 6:17 PM
thiemowmde moved this task from incoming to ready to go on the Wikidata board.Sep 12 2016, 9:09 AM
thiemowmde moved this task from Reported Wikidata to Ready to go on the WMDE-Design board.

@Jan_Dittrich or @Lydia_Pintscher could you please provide the texts for all the tooltips?

Why not go with the suggestion and change the visible menu items, e.g. from "Deprecated rank" to "Deprecated (known to be wrong)"? It should not be a full sentence and can still have a tooltip, but there is more than enough space left to add at least a few additional words. Why waste the opportunity?

If there is enough space, @thiemowmde suggestion sounds good.

So we could have:

  • Preferred Rank
  • Normal Rank
  • Deprecated (known to be wrong)

and for the tooltips:

  • valid and up-to-date value
  • valid value, though possibly out of date OR valid value. May be out of date.
  • value is known to be wrong but (used to be) commonly believed

do they make sense?

"valid value, though possibly out of date" is the better one of the two.

Rest looks good.

Or actually s/out of date/historic

Thanks!
I assume that "historic" may be a bit more terse (also more precise?), but I would prefer "out of date" since I assume it to be the more common expression.

"out of date" is conceptually different from "historic" here. When we have a statement about a previous mayor including the time span then that is not out of date but historic.

OK, if no one has an idea that is more easy and as precise, let’s go with "historic".
The rest would stay as it is. (?)

In which case, I say it's ready – @thiemowmde , @Jonas : or is there anything missing that you would need know?

Lydia_Pintscher removed Lydia_Pintscher as the assignee of this task.Sep 23 2016, 4:13 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Jonas raised the priority of this task from Normal to High.Oct 12 2016, 9:05 AM
Jan_Dittrich updated the task description. (Show Details)
Jonas claimed this task.

Change 315655 had a related patch set uploaded (by Jonas Kress (WMDE)):
Add title attribute to rank and value selection menu item

https://gerrit.wikimedia.org/r/315655

Change 315655 merged by jenkins-bot:
Add title attribute to rank and value selection menu item

https://gerrit.wikimedia.org/r/315655

hoo removed a project: Patch-For-Review.
hoo added a subscriber: hoo.

The tooltips have been added as discussed. Can we consider this done, or do we also want to adopt Thiemo's suggestion:

Why not go with the suggestion and change the visible menu items, e.g. from "Deprecated rank" to "Deprecated (known to be wrong)"? It should not be a full sentence and can still have a tooltip, but there is more than enough space left to add at least a few additional words. Why waste the opportunity?

Lydia_Pintscher closed this task as Resolved.Oct 14 2016, 12:37 PM
Lydia_Pintscher moved this task from Backlog to Done on the Wikidata-Sprint-2016-10-12 board.

I would leave it for now.

Charlie_WMDE moved this task from Ready to go to Done on the WMDE-Design board.Nov 8 2016, 4:03 PM